Summary:    Firmware extraction tools for Apple Built-in iSight camera
Name:       isight-firmware-tools
Version:    1.6
Release:    %mkrel 6
License:    GPLv2+
Group:      System/Kernel and hardware
URL:        https://launchpad.net/isight-firmware-tools/
Source0:    https://launchpad.net/isight-firmware-tools/main/1.6/+download/%{name}-%{version}.tar.gz
Patch0:     isight-firmware-tools-ift-load-path.patch
Patch1:     isight-firmware-tools-1.6-formatsecurity.patch

Requires:   udev

BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(libusb)
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool

%description
iSight Firmware Tools provide tools to manipulate firmware for Built-in iSight
cameras found on Apple machines since iMac G5 (November 2005).

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

# this is now useless as kernel driver autoloads the firmware
rm %{buildroot}%{_sysconfdir}/udev/rules.d/isight.rules
rm %{buildroot}/lib/udev/ift-load

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc HOWTO
%doc NEWS
%doc README
%{_bindir}/ift-export
%{_bindir}/ift-extract
%{_infodir}/ift-export.info*
%{_infodir}/ift-extract.info*
%{_mandir}/man1/ift-export.1*
%{_mandir}/man1/ift-extract.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.6-6.mga10
+ Revision: 2211183
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 1.6-5.mga9
+ Revision: 1826346
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 1.6-3.mga8
+ Revision: 1513666
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6-2.mga7
+ Revision: 1298331
- Mageia 7 Mass Rebuild

* Sat Mar 04 2017 zezinho <zezinho> 1.6-1.mga6
+ Revision: 1088690
- remove now useless udev firmware load - add info install
- new macros in mga6
- imported package isight-firmware-tools


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Tomáš Mráz <tmraz@redhat.com> - 1.6-6
- Rebuild for new libgcrypt

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 01 2011 Jason Montleon <jmontleo@redhat.com> - 1.6-1
- Updated to 1.6

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.93-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 28 2010 Jason Montleon <jmontleo@redhat.com> - 1.5.93-1
- Updated to 1.5.93 udev patch incorporated upstream and empty man page fixed.

* Mon May 24 2010 Jason Montleon <jmontleo@redhat.com> - 1.5.92-1
- Updated to 1.5.92 to support 10.6.2 firmware BZ 537448

* Sun May 16 2010 Jason Montleon <jmontleo@redhat.com> - 1.5.90-2
- Fixed spec file warnings, bad source url, and created patch for udev rules.

* Tue Apr 06 2010 Jason Montleon <jmontleo@redhat.com> - 1.5.90-1
- Updated to 1.5.90

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 24 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.0.2-2
- Fixed broken path to /usr/lib/udev in isight.rules.

* Fri Mar 21 2008 Debarshi Ray <rishi@fedoraproject.org> - 1.0.2-1
- Initial build.
